-
- abort-payment-on-terminal
- capture-payment
- filter-payments
- find-payment
- initiate-payment-flow
- list-activity-logs
- list-payment-activities
- list-payments
- list-payments-by-contact
- list-payments-by-terminal
- refund-payment
- request-payment
- resume-payment-on-terminal
- retrieve-refund-performance
- retrieve-sales-performance
- reverse-payment
- start-payment-on-terminal
- void-payment
List Webhook Endpoints
Returns an array of all webhook endpoints for the merchant.
See find-webhook for the complete list of response attributes.
| Attribute | Description |
|---|---|
webhook_idstring
|
Always present. The ID of the webhook endpoint. |
namestring
|
Always present. The name of the webhook endpoint. |
enabledboolean
|
Always present. Whether the webhook endpoint is enabled and will receive events. |
api_versionstring
|
Always present. The API version that the webhook endpoint is configured for. |
destination_urlstring
|
Always present. The URL where webhook events will be sent. |
protocolstring
|
Always present. The protocol used for sending webhook events (e.g.,
|
signature_typestring
|
Always present. The type of signature that will be sent in the header of webhooks. Possible values:
|
verification_keystring
|
Always present. The key used to verify webhook signatures. |
eventsarray
|
Always present. List of event types that this webhook endpoint will receive. Possible values:
|
created_atnumber
|
Always present. The timestamp of the key creation as a Unix timestamp. |
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/list-webhooks" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{}'
